MONGOC_URI_SET_AUTH_MECHANISM(3)

NAME
mongoc_uri_set_auth_mechanism - mongoc_uri_set_auth_mechanism()

SYNOPSIS

        bool
        mongoc_uri_set_auth_mechanism (mongoc_uri_t *uri, const char *value);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   value: The new "authMechanism" value.

DESCRIPTION

Sets the "authMechanism" URI option, such as "SCRAM-SHA-1" or "GSSAPI", after the URI has been parsed from a string.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

Returns false if the option cannot be set, for example if value is not valid UTF-8.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc